// see http://vuejs-templates.github.io/webpack for documentation.
var path = require('path')

module.exports = {
  build: {
    env: require('./prod.env'),
    index: path.resolve(__dirname, '../dist/index.html'),
    assetsRoot: path.resolve(__dirname, '../dist'),
    assetsSubDirectory: '',
	// 项目根目录
	// 即打包后index.html和static文件夹所移动到的地址，需要和项目经理商议
	// 注意因为有测试和线上host不一样目录应该一致，所以要用以 '/' 开头的目录地址
    assetsPublicPath: '/',
    productionSourceMap: true,
    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ['js', 'css']
  },
  dev: {
    env: require('./dev.env'),
    port: 9999,
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
	// 代理，本地联调
	// target: 后端服务地址
	// '/api': 为匹配规则，后端服务根目录
	proxyTable: {},
//    proxyTable: {
//		'/api': {
//			target: 'http://192.168.148.51:8080',
//			changeOrigin: true,
//			pathRewrite: {
//            	'^/api': '/api'
//        	}
//		}
//	},
    // CSS Sourcemaps off by default because relative paths are "buggy"
    // with this option, according to the CSS-Loader README
    // (https://github.com/webpack/css-loader#sourcemaps)
    // In our experience, they generally work as expected,
    // just be aware of this issue when enabling this option.
    cssSourceMap: false
  }
}
