import Vue from 'vue';
import vbMessage from './vbMessage';

function open(propsData) {
    var vbMessageComponent = Vue.extend(vbMessage);
    var div = document.createElement('div');
    document.body.appendChild(div);
    return new vbMessageComponent({
        el: div,
        propsData
    });
}

export default {
    loading(params) {
        return open(params);
    },
    error(params) {
        var defaultParams = {duration: 3000, type: 'error'};
        const propsData = Object.assign(defaultParams, params);
        return open(propsData);
    }
}